The string class is a class from the Standard C ++ Libraries. The class is defined in the header file <string>, and the string name, like cout, belongs to the std namespace. To string the header <string>. In order for the program to be able to use the string class, you just need to add std ::, std :: string in front of the string before string. In this case, the compiler understands that the string is in the Standard C ++ Library in the std namespace, determines what the string class does and goes to it implementation ..
